Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6695 - Possible problem with pam_ldap/pam and X..
Summary: Possible problem with pam_ldap/pam and X..
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam_ldap
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-03 22:23 UTC by Michael Maher
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-24 21:06:08 UTC


Attachments (Terms of Use)

Description Michael Maher 1999-11-03 22:23:05 UTC
It's going to be hard for me to recreate this problem,
but I currently have a system that will not start X as a
user, but will as root.

the message receieved is:

  Authentication failed cannot start Xserver
  Perhaps you did not have Console ownership.

I've checked everything I can think of to solve this
problem.  Various strace's show that it is trying to
authenticate...

BEfore you ask.. pam-68-8 and updates from the 6.1 errata
are all installed.  Latestest 6.1 Xserver stuff is
installed.  Perhaps this is an ldap problem.

- checked permission on /dev/console
- checked /etc/security/console.apps
- checked to see that /etc/pam.d/xserver was properly setup.
- checked to make sure that the ldap.conf file is working
   properly.  Other machines are working ok with this setup.

This machine was working properly, but then crashed while
using staroffice.  After that it stopped starting X for
users.  I have removed every .Xauth, /tmp/{*,.*} and so
forth that I could find.  Nothing relevant is in any log
files.

Comment 1 Johan Walles 1999-11-30 13:44:59 UTC
You solve this problem by adding the following line...

session    optional	/lib/security/pam_console.so

... to the end of /etc/pam.d/login (which I suppose you have copied from
/usr/doc/pam_ldap-36/pam.d/login).

  Cheers //Johan


Note You need to log in before you can comment on or make changes to this bug.